#if !defined(__datedlg_h)              // Sentry, use file only if it's not already included.
#define __datedlg_h

/*  Project Pallier
	 R.B. Logiciel
	 Copyright  1994. All Rights Reserved.

	 SUBSYSTEM:    pallier.exe Application
	 FILE:         destindlg.h
	 AUTHOR:       R. BERTHOU


	 OVERVIEW
	 ========
	 Class definition for TOptionDlg (TDialog).
*/

#include <owl\dialog.h>
#pragma hdrstop

#include <cstring.h>
#include <classlib\date.h>
#include <owl\listbox.h>
#include "editdate.h"

#include "editdate.rh"

//{{TDialog = DateDlg}}
class DateDlg : public TDialog {
  virtual void SetupWindow ();

public:
	 DateDlg (TEditDate* parent,
				 TResId resId = IDD_LDATE, /* IDD_EDATE */
				 TModule* module = 0);
	 virtual ~DateDlg ();

protected:
	 TListBox *lListe ;
	 int 		 iJour, iSemaine, iMois, iAnnee, iLast ;
	 void 	 CmChoix () ;
	 void 	 CmPrevMois () ;
	 void 	 CmNextMois () ;
	 void		 AfficheMois() ;
	 void		 EvActivate(UINT active, bool min, HWND hWnd);

private:
	TEditDate* EDt;


DECLARE_RESPONSE_TABLE(DateDlg);
};

#endif

