/*  Project RBL
	 R.B. Logiciel
	 Copyright  1994..1995 All Rights Reserved.
	 SUBSYSTEM:    Test.exe Application
	 FILE:         Test.cpp
	 AUTHOR:       R. BERTHOU 	 (CIS : 100654,3225)


	 OVERVIEW
	 ========

*/

#include <owl\applicat.h>
#include <owl\framewin.h>
#include <owl\dialog.h>
#pragma hdrstop

#include "editdate.h"
#include "test.rc"


class TApp : public TApplication
{
public:

	TApp(const char far* name) : TApplication(name) {}

	void InitMainWindow()
	{
		TDialog *dlg;
		dlg = new TDialog(0, IDD_MAIN);

		TFrameWindow* frame = new TFrameWindow(0, GetName(), dlg);

		TDate().SetPrintOption(TDate::Numbers) ;
		new TEditDate(dlg, IDC_EDIT);
		new TEditDate(dlg, 100, 130, 35, 100, 20);
		EnableCtl3d() ;
		SetMainWindow(frame);
	}
};

int OwlMain(int, char* [])
{
	return TApp("TEditDate Test").Run();
}

